

////////////////////////////////////////////////////////////////////
/////////////////Terrain///////////////////////////////////////////
//////////////////////////////////////////////////////////////////


textures/forest/terrain_0
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/forest/sol_pierre.jpg
		rgbGen identity 

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_1
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_surfacemodel models/mapobjects/cn_trees/liveoak.md3 64 0.001 0.8 5.0 0 360 1
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/forest/sol_herbe.jpg
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_2
{
q3map_surfacemodel  models/mapobjects/kt_mushroom/mushroom_2.md3 64 0.001 0.1 0.4 0 360 1
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/forest/sol_mid_dn.jpg
		rgbGen identity 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/forest/sol_mid_up.jpg
		rgbGen identity 

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_0to1
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_pierre.jpg
		rgbGen identity 
	}
	{
		map textures/forest/sol_herbe.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_0to2
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_pierre.jpg
	}
	{
		map textures/forest/sol_mid_dn.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_0to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_pierre.jpg
	}
	{
		map textures/forest/sol_mid_up.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_1to2
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_herbe.jpg
	}
	{
		map textures/forest/sol_mid_dn.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_1to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_herbe.jpg
	}
	{
		map textures/forest/sol_mid_up.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain_2to3
{
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 340 340
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	{
		map textures/forest/sol_mid_dn.jpg
	}
	{
		map textures/forest/sol_mid_up.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/forest/terrain.vertex
{
	{
		map textures/forest/sol_pierre.jpg
		rgbGen vertex
	}
}

////////////////////////////////////////////////////////////////////
///////////////////Skybox//////////////////////////////////////////
//////////////////////////////////////////////////////////////////
	

textures/en/forest
{

	qer_editorimage textures//forest/forest_env.tga
	skyParms textures/forest/moonlight_sky - -
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	nomipmaps
	
	q3map_surfacelight 400
	q3map_sun 1 .8 .8 60 40 70
	{	
		map textures/sky/clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
        	depthWrite
	}
}


////////////////////////////////////////////////////////////////////
///////////////////Rock////////////////////////////////////////////
//////////////////////////////////////////////////////////////////


textures/forest/rock1
{
q3map_nonplanar
q3map_shadeangle 60
	{
	map textures/forest/rock_grey2.tga
	rgbGen identity 
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
	}
}


textures/forest/rock2
{
q3map_nonplanar
q3map_shadeangle 60
	{
	map textures/forest/rock_grey3.tga
	rgbGen identity 
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
	}
}


////////////////////////////////////////////////////////////////////
///////////////////herbe///////////////////////////////////////////
//////////////////////////////////////////////////////////////////


textures/forest/grass1
{
qer_editorimage textures/forest/grass_urt10.tga
q3map_globaltexture
tessSize 8 
deformVertexes wave 64 sin 0 4 0 0.08 
surfaceparm alphashadow 
surfaceparm nonsolid
surfaceparm trans
cull none 
{ 
map textures/forest/grass_urt10.tga
blendfunc GL_ONE GL_ZERO
alphafunc GE128
rgbGen identity
rgbGen const ( 1.0 1.0 1.0 ) 
depthwrite
}

{ 
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}
////////////////////////////////////////////////////////////////////
///////////////////Model///////////////////////////////////////////
//////////////////////////////////////////////////////////////////

// cn_trees version1 Tree-mapmodel (c) QKennyQ 


models/mapobjects/cn_trees/liveoak
{
	cull none
	nopicmip
	surfaceparm playerclip
	surfaceparm nomarks
	{
		map models/mapobjects/cn_trees/liveoak.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


models/mapobjects/cn_trees/liveoakbark
{
	surfaceparm playerclip
	surfaceparm nomarks
	{
		map models/mapobjects/cn_trees/liveoakbark.tga
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
	




